Bug 533573 - qemu-img convert can't handle parallels images above 4GiB.
qemu-img convert can't handle parallels images above 4GiB.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-07 09:05 EST by David Woodhouse
Modified: 2009-12-08 03:04 EST (History)
9 users (show)

See Also:
Fixed In Version: 0.11.0-12.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-08 03:04:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2009-11-07 09:05:32 EST
See 32-bit arithmetic on 'position' in the seek_to_sector() function in block/parallels.c

No wonder it gives me crap. Making 'position' a uint64_t and ensuring that the arithmetic on it is also suitably cast to uint64_t gives me a more reasonable converted image.
Comment 1 Mark McLoughlin 2009-11-19 05:29:48 EST
Fix is committed upstream now http://repo.or.cz/w/qemu.git/commitdiff/c34d2451ed

dwmw2: do you need cherry-picked into F-12, or are you happy to mark this as CLOSED UPSTREAM ?
Comment 2 David Woodhouse 2009-11-19 06:01:19 EST
Turns out I can't get our Parallels images (of Windows XP) to boot in qemu/KVM anyway -- I can't seem to solve the problems described at http://www.virtualbox.org/wiki/Migrate_Windows

So for now I'm not advising people to convert our existing Parallels images -- if I do get it working, I'd probably have to give them a 'fixed' image, which might as well be in qcow2 format already.

So I'm not personally desperate to get it, but it _would_ be nice to drop it into the next update if it's not too much trouble -- a conversion tool which can only handle images smaller than 4GiB isn't really something we should be shipping these days :)
Comment 3 Mark McLoughlin 2009-11-20 13:30:56 EST
Building this now:

* Fri Nov 20 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.11.0-12
- Fix a use-after-free crasher in the slirp code (#539583)
- Fix overflow in the parallels image format support (#533573)
Comment 4 Fedora Update System 2009-11-20 14:12:59 EST
qemu-0.11.0-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qemu-0.11.0-12.fc12
Comment 5 Fedora Update System 2009-11-24 02:36:07 EST
qemu-0.11.0-12.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11901
Comment 6 Fedora Update System 2009-12-08 03:03:53 EST
qemu-0.11.0-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.